Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233546 - nv crashes system state - nouveau does not load
Summary: nv crashes system state - nouveau does not load
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 02:00 UTC by Jim Cornette
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-03 15:02:39 UTC


Attachments (Terms of Use)
log before total lockup. more logs after bug opening. (deleted)
2007-03-23 02:00 UTC, Jim Cornette
no flags Details
Nouveau will only show blank screen on screen 1 (deleted)
2007-03-23 02:04 UTC, Jim Cornette
no flags Details
This is the log using the nv driver before the eventual lockup of system. (deleted)
2007-03-23 02:07 UTC, Jim Cornette
no flags Details
xorg.conf - switched vesa to both nv and nouveau with no positive results. (deleted)
2007-03-23 02:09 UTC, Jim Cornette
no flags Details

Description Jim Cornette 2007-03-23 02:00:24 UTC
Description of problem:
About a day back the nv driver was working fine at 1280x1024. After updates two
days ago, I started getting system lockup at boot. now with the patched driver,
I get an instable system which eventually crashes fully. It starts to lose
applications a piece at a time before the total lockup.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nv-2.0.0-2.fc7

How reproducible:

Log into the system. See system only in 800x600 after patched version.

Steps to Reproduce:
1. Allow system to boot in runlevel 5
2. see system locked up and not responding.
3. Reboot system with same results in runlevel 3 and startx
  
Actual results:
Before patched driver a total lockup. After patched driver, limited resolution
folloed by system services being corrupted until final lockup.

Expected results:
Normal resolution.

Additional info:

I am running MGA as primary and NVidia as secondary display.

Comment 1 Jim Cornette 2007-03-23 02:00:24 UTC
Created attachment 150713 [details]
log before total lockup. more logs after bug opening.

Comment 2 Jim Cornette 2007-03-23 02:04:08 UTC
Created attachment 150714 [details]
Nouveau will only show blank screen on screen 1

This is what the nouveau did with the patch added. Before the patched driver,
nouveau would exit the server in a crash gracefully and did show a background
momentarily before exit. (About 30 seconds). No is only the card memory screen
or POST displayed on the monitor.

Comment 3 Jim Cornette 2007-03-23 02:07:41 UTC
Created attachment 150715 [details]
This is the log using the nv driver before the eventual lockup of system.

First I noticed the network was down. I then tried to change to vt which
resulted in the system log. No network was present to send mail or submit
report to bugzilla. Before switching to VT, I thought the system was still up
and running. It was locked up at the VT switch though.

Comment 4 Jim Cornette 2007-03-23 02:09:39 UTC
Created attachment 150716 [details]
xorg.conf - switched vesa to both nv and nouveau with no positive results.

Submitted on test list also.

Comment 5 Jim Cornette 2007-08-03 15:02:39 UTC
I do not see this problem anymore. Closing bug as fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.